{ config, lib, pkgs, ... }:

{
	/* Begin hardware configuration section */
	boot.kernelModules = [ ];
	boot.extraModulePackages = [ ];
	swapDevices = [ ];
	nix.maxJobs = pkgs.lib.mkDefault 2;
	/* End hardware configuration section */

	fileSystems = {
		"/" = {
			device = "/dev/disk/by-uuid/cf472470-0b3d-414b-93f8-b5e4298fad05";
			fsType = "ext4";
		};
	};

	networking = {
		defaultGateway6 = "2a01:4a0:4a::1";
		interfaces.ens3 = {
			ipv6.addresses = [{
				address = "2a01:4a0:4a:5d::35c7";
				prefixLength = 48;
			}];
		};
	};

	boot.loader.grub.device = lib.mkForce "/dev/vda";
}
